import { FormSchema } from '@/components/Form';
import {BasicColumn} from "@/components/Table";

export const infoData = {
  dataBase: '测试类型',
  libraryName: 'dw_data',
  tableName: 'dw_prd_contract_f',
  tableType: 'Inceptor表',
  tableExplain: 'dw_合约',
  storeType: 'ORC',
  isTransaction: '是',
  mainDept: '业务部门',
  isEncrypt: '是',
  taskName: '',
  chineseName: '',
  isSensitive: '否',
};

export const columns: BasicColumn[] = [
  {
    title: '',
    dataIndex: 'tableName',
    width: 150,
    // onEditRow: true,
  },
];
export const searchFormSchema: FormSchema[] = [
  {
    field: 'nameOrExplain',
    label: '',
    component: 'Input',
    componentProps: {
      placeholder: '输入字段名称或字段注释搜索',
    },
    colProps: { span: 12 },
  },
];
export const entityData: any[] = [
  {
    businessId: '1',
    name: 'dw_产品合约行情历史',
    txt: 'dw_产品合约行情历史',
    engName: 'dw_prd_contract_quot_h_s',
    person: 'admin',
    deptName: '机构管理/数据平台治理部',
  },
  {
    businessId: '2',
    name: 'dw_合约',
    txt: 'dw_合约',
    engName: 'dw_prd_contract_f',
    person: 'admin',
    deptName: '机构管理/数据平台治理部',
  },
];
export const connectionData: any[] = [
  {
    name: '合约_行情',
    fatherName: 'dw_合约',
    fatherPK: '合约号',
    fatherNum: '1',
    sonName: 'dw_产品合约行情历史',
    sonPK: '合约号',
    sonNum: '1',
  },
  {
    name: '合约_行情',
    fatherName: 'dw_合约',
    fatherPK: '合约号',
    fatherNum: '1',
    sonName: 'dw_产品合约行情历史',
    sonPK: '合约号',
    sonNum: '1',
  },
  {
    name: '合约_行情',
    fatherName: 'dw_合约',
    fatherPK: '合约号',
    fatherNum: '1',
    sonName: 'dw_产品合约行情历史',
    sonPK: '合约号',
    sonNum: '1',
  },
  {
    name: '合约_行情',
    fatherName: 'dw_合约',
    fatherPK: '合约号',
    fatherNum: '1',
    sonName: 'dw_产品合约行情历史',
    sonPK: '合约号',
    sonNum: '1',
  },
  {
    name: '合约_行情',
    fatherName: 'dw_合约',
    fatherPK: '合约号',
    fatherNum: '1',
    sonName: 'dw_产品合约行情历史',
    sonPK: '合约号',
    sonNum: '1',
  },
];
